# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import ExportExcelModelAdmin, ReadonlyModelAdmin

from area.models import TamronCitiesInfo, TamronStoreCityInfo, TamronStoreProvinceInfo


class TamronCitiesInfoAdmin(admin.ModelAdmin):
    list_display = ('pk', 'pid', 'name')
    list_filter = ('pid', )


class TamronStoreProvinceInfoAdmin(admin.ModelAdmin):
    list_display = ('pk', 'fid', 'title', 'px')
    list_filter = ('fid', )


class TamronStoreCityInfoAdmin(admin.ModelAdmin):
    list_display = ('pk', 'fid', 'title', 'px')
    list_filter = ('fid', )


admin.site.register(TamronCitiesInfo, TamronCitiesInfoAdmin)
admin.site.register(TamronStoreProvinceInfo, TamronStoreProvinceInfoAdmin)
admin.site.register(TamronStoreCityInfo, TamronStoreCityInfoAdmin)
