# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext_lazy as _


class TamronCitiesInfo(models.Model):
    pid = models.IntegerField(_(u'pid'), default=1, help_text=u'父地区唯一标识')
    name = models.CharField(_(u'name'), max_length=16, blank=True, null=True, help_text=u'地区名称')

    class Meta:
        verbose_name = _(u'地区信息')
        verbose_name_plural = _(u'地区信息')
        db_table = 'shidu_citys'

    def __unicode__(self):
        return unicode(self.pk)


class TamronStoreProvinceInfo(models.Model):
    fid = models.IntegerField(_(u'fid'), default=1, help_text=u'父地区唯一标识')
    title = models.CharField(_(u'title'), max_length=16, blank=True, null=True, help_text=u'地区名称')
    px = models.IntegerField(_(u'px'), default=1, help_text=u'排序（降序）')

    class Meta:
        verbose_name = _(u'实体店省份信息')
        verbose_name_plural = _(u'实体店省份信息')
        db_table = 'shidu_store_sf'

    def __unicode__(self):
        return unicode(self.pk)


class TamronStoreCityInfo(models.Model):
    fid = models.IntegerField(_(u'fid'), default=1, help_text=u'父地区唯一标识')
    title = models.CharField(_(u'title'), max_length=16, blank=True, null=True, help_text=u'地区名称')
    px = models.IntegerField(_(u'px'), default=1, help_text=u'排序（降序）')

    class Meta:
        verbose_name = _(u'实体店城市信息')
        verbose_name_plural = _(u'实体店城市信息')
        db_table = 'shidu_store_sq'

    def __unicode__(self):
        return unicode(self.pk)
